[Bug 257234] net/openldap-sasl-client and GSSAPI option misses security/cyrus-sasl2-gssapi dependency

From: <bugzilla-noreply_at_freebsd.org>
Date: Sat, 17 Jul 2021 14:32:56 +0000
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=257234

            Bug ID: 257234
           Summary: net/openldap-sasl-client and GSSAPI option misses
                    security/cyrus-sasl2-gssapi dependency
           Product: Ports & Packages
           Version: Latest
          Hardware: Any
                OS: Any
            Status: New
          Severity: Affects Some People
          Priority: ---
         Component: Individual Port(s)
          Assignee: ume_at_FreeBSD.org
          Reporter: bugzilla.freebsd_at_omnilan.de
          Assignee: ume_at_FreeBSD.org
             Flags: maintainer-feedback?(ume_at_FreeBSD.org)

Created attachment 226516
  --> https://bugs.freebsd.org/bugzilla/attachment.cgi?id=226516&action=edit
Make security/cyrus-sasl2-gssapi a dependency for GSSAPI enabled
openldap-sasl-client

Due to slave port mechanisms, the ckeck for :MSASL doesn't match where, where
:MGSSAPI check registers cyrus-sasl-gssapi>0:security/cyrus-sasl2-gssapi for
RUN_DEPENDS.

Please find attached a simple diff which does the same test, where we define
SASL option for CLIENT_ONLY == sasl.

-- 
You are receiving this mail because:
You are the assignee for the bug.
Received on Sat Jul 17 2021 - 14:32:56 UTC

Original text of this message